Subject: [IPsec] FW: New Version Notification for draft-tran-ipsecme-ikev2-yang-00.txt

From: Khanh Tran <[email-masked]>
Date: Tue, 29 Mar 2016 20:22:04 +0000

Hi Paul,

Below are my comments to your questions that are relating to draft-tran-ipsecme-ikev2-yang-00.txt.

Q1: What does all right reserved means? I think the question beyond that is how the YANG model can be used, and who owns it? Can you respond to this?
A1: Yes, we will remove the following description:
       " Copyright (c) 2016 Ericsson AB."+
       " All rights reserved.";

Q2:   leaf initial-retransmission-timeout I think that the question is how do we specify units in the YANG model. Is that something that is part of the YANG model? I think we should also ask if the WG would like us to add different ways to express there transmission time out? - I can respond to this question if you prefer.
A2: yes, we can specify the unit for this attribute (I assume the unit will be "miliseconds")
Ex:
         leaf initial-retransmission-timeout {
           type uint32;
           units "miliseconds";
           default 100;
           description
             "initial retransmission timeout value";
         }

         leaf nat-keepalive-interval {
             type uint16 {
               range "5..300";
             }
             units "Seconds";
             default 20;
             description "NAT detected and keepalive interval";
         }

Q3: How YANG can be updated when IANA registries are updated. I think also some text could be added into the draft for that. - Can you respond to this?
A3: yes, we can add the text in the draft for reference to IANA.  When IANA registries are updated, the YANG module should be notified for changes and update accordingly.

Best regards,
Khanh Tran